import type { PieRow } from "@metabase/embedding-sdk-react/dist/frontend/src/metabase/visualizations/echarts/pie/model/types";
export declare function SliceNameWidget({ initialKey, pieRows, updateRowName, }: {
    initialKey: string | number;
    pieRows: PieRow[];
    updateRowName: (newName: string, key: string | number) => void;
}): import("react/jsx-runtime").JSX.Element | null;
